boost::geometry::resolve_variant::is_valid< boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)> >::visitor< VisitPolicy > Struct Template Reference

List of all members.

## Public Member Functions

template<typename Geometry >
bool | operator() (Geometry const &geometry) const
| visitor (VisitPolicy &policy)

## Public Attributes

VisitPolicy & | m_policy

### template<BOOST_VARIANT_ENUM_PARAMS(typename T)>
template<typename VisitPolicy>
struct boost::geometry::resolve_variant::is_valid< boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)> >::visitor< VisitPolicy >

## Constructor & Destructor Documentation

template<BOOST_VARIANT_ENUM_PARAMS(typename T) >
template<typename VisitPolicy >

boost::geometry::resolve_variant::is_valid< boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)> >::visitor< VisitPolicy >::visitor | ( | VisitPolicy & | policy | ) |

## Member Function Documentation

template<BOOST_VARIANT_ENUM_PARAMS(typename T) >
template<typename VisitPolicy >
template<typename Geometry >

bool boost::geometry::resolve_variant::is_valid< boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)> >::visitor< VisitPolicy >::operator() | ( | Geometry const & | geometry | ) | const

## Member Data Documentation

template<BOOST_VARIANT_ENUM_PARAMS(typename T) >
template<typename VisitPolicy >

VisitPolicy& boost::geometry::resolve_variant::is_valid< boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)> >::visitor< VisitPolicy >::m_policy

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK